#include <qcolor.h>
#include <qevent.h>

#include "gesturerecorder.h"
#include "stroke.h"

namespace KHotKeys {

GestureRecorder::GestureRecorder(QWidget *parent, const char *name)
  : QFrame(parent, name), _mouseButtonDown(false)
  {
  setBackgroundColor(white);
  setFrameStyle(QFrame::Sunken | QFrame::Panel);
  setLineWidth(2);
  setMidLineWidth(0);
  }

GestureRecorder::~GestureRecorder()
  {
  }

void GestureRecorder::mousePressEvent(QMouseEvent *ev)
  {
  if (ev->button() == QMouseEvent::LeftButton)
    {
    _mouseButtonDown = true;
    }
  }

void GestureRecorder::mouseReleaseEvent(QMouseEvent *ev)
  {
  if ((ev->button() == QMouseEvent::LeftButton) && (_mouseButtonDown))
    {
    char _sequence[MAX_SEQUENCE+1];

    if (stroke_trans(_sequence))
      {
      QString data(_sequence);
      emit recorded(data);
      }
    }
  }

void GestureRecorder::mouseMoveEvent(QMouseEvent *ev)
  {
  if (_mouseButtonDown)
    {
    QPoint pos = ev->pos();
    stroke_record(pos.x(), pos.y());
    }
  }
  
} // end namespace
