#ifndef GESTURE_RECORD_PAGE_H
#define GESTURE_RECORD_PAGE_H

#include <qvbox.h>

class QWidget;
class QPushButton;
class QLabel;

namespace KHotKeys {
    
class Gesture;
class GestureRecorder;
class GestureDrawer;

class GestureRecordPage : public QVBox
  {
  Q_OBJECT
  
    public:
  GestureRecordPage(const QString &gesture,
                    QWidget *parent, const char *name);
  ~GestureRecordPage();

  const QString &getGesture() const { return _gest; }
  
 protected slots:
 void slotRecorded(const QString &data);
  void slotResetClicked();
  
  signals:
  void readyForNext(bool);
  
    private:
  GestureRecorder *_recorder;
  QPushButton *_resetButton;
  GestureDrawer *_tryOne;
  GestureDrawer *_tryTwo;
  GestureDrawer *_tryThree;

  QString _gest;

  Q_UINT32 _tryCount;
  };

} // end namespace KHotKeys
  
#endif
