/****************************************************************************

 KHotKeys
 
 Copyright (C) 1999,2000 Lubos Lunak <l.lunak@kde.org>
 Based on LibStroke :
  ( libstroke - an X11 stroke interface library
  Copyright (c) 1996,1997,1998,1999  Mark F. Willey, ETLA Technical
  There is a reference application available on the LibStroke Home Page:
  http://www.etla.net/~willey/projects/libstroke/ )
 
 $Id: stroke.h,v 1.2 2001/03/27 22:46:05 seli Exp $

****************************************************************************/

#ifndef __STROKE_H
#define __STROKE_H

namespace KHotKeys
{

class Stroke
    {
    public:
    // maximum number of numbers in stroke
        static const int MAX_SEQUENCE = 25;
    // largest number of points allowed to be sampled
        static const int MAX_POINTS = 5000;
    // default number of sample points in a bin to be valid
        static const int MIN_BIN_POINTS = 20;
    // default threshold of size of smaller axis needed for it to define its own bin size
        static const int SCALE_RATIO = 4;
    // default number of sample points required to have a valid stroke
        static const int MIN_POINTS = 50;
	Stroke();
	~Stroke();
	bool record( int x, int y );
	int* translate( int min_bin_points_P = MIN_BIN_POINTS, int scale_ratio_P = SCALE_RATIO,
	    int min_points_P = MIN_POINTS ); // CHECKME returns ret_val ( see below )
	void reset();
    protected:
	int bin( int x, int y );
	// metrics for input stroke
	int min_x, min_y;
	int max_x, max_y;
	int point_count;
	int delta_x, delta_y;
	int bound_x_1, bound_x_2;
	int bound_y_1, bound_y_2;
	struct point
	    {
	    int x;
	    int y;
	    };
	point* points;
	int ret_val[ MAX_SEQUENCE ];
    };

//***************************************************************************
// Inline
//***************************************************************************

} // namespace KHotKeys

#endif
